com.ihr.xbrl.xbrlq

## Class XBRLqResult<T>

- java.lang.Object
- - com.ihr.xbrl.xbrlq.XBRLqResult<T>

- Type Parameters:
    `T` - the generic type

      public class XBRLqResult<T>
      extends java.lang.Object

  This class represents the result of an XBRLq query execution.

  The result only contains a small set of elements from the database. The number of elements in the set will be configurable. It is designed in a way that it will be easier if the number of elements matches the number of elements in the web page or application consuming the object.

  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLqResult()` Empty result or dynamic result that is empty initialized.
    `XBRLqResult(java.util.ArrayList<java.lang.Long> ids)` Instantiates a new XBR lq result.
    `XBRLqResult(org.hibernate.ScrollableResults scrollable)` Result based on an scrollable result.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAll(XBRLqResult<T> newList)` Adds the all.
    `void` | `clear()` Clear.
    `java.util.ArrayList<java.lang.Long>` | `getAllContentIds()` Gets the all content ids.
    `java.util.ArrayList<T>` | `getAllContents(org.hibernate.Session dbSession)` Gets the all contents.
    `java.util.ArrayList<T>` | `getContent(int start, int length, org.hibernate.Session dbSession)` Obtain an array of length elements from the database at the start position.
    `java.util.ArrayList<java.lang.Object[]>` | `getRawContent(int start, int length, org.hibernate.Session dbSession)` Gets the raw content.
    `void` | `retainAll(XBRLqResult<T> newList)` Retain all.
    `int` | `size()` Returns the total number of elements in the XBRLq query without iterating through all of them.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLqResult

          public XBRLqResult(org.hibernate.ScrollableResults scrollable)

      Result based on an scrollable result.
      Parameters:
        `scrollable` - the scrollable

    - #### XBRLqResult

          public XBRLqResult()

      Empty result or dynamic result that is empty initialized.

    - #### XBRLqResult

          public XBRLqResult(java.util.ArrayList<java.lang.Long> ids)

      Instantiates a new XBR lq result.
      Parameters:
        `ids` - the ids

  - ### Method Detail

    - #### size

          public int size()

      Returns the total number of elements in the XBRLq query without iterating through all of them.
      Returns:
        integer value

    - #### getContent

          public java.util.ArrayList<T> getContent(int start,
                                          int length,
                                          org.hibernate.Session dbSession)

      Obtain an array of length elements from the database at the start position.
      Parameters:
        `start` - integer (first row is 0)
        `length` - total number of rows to include in the array list
        `dbSession` - the db session
      Returns:
        ArrayList of objects

    - #### getRawContent

          public java.util.ArrayList<java.lang.Object[]> getRawContent(int start,
                                                              int length,
                                                              org.hibernate.Session dbSession)

      Gets the raw content.
      Parameters:
        `start` - the start
        `length` - the length
        `dbSession` - the db session
      Returns:
        the raw content

    - #### getAllContents

          public java.util.ArrayList<T> getAllContents(org.hibernate.Session dbSession)

      Gets the all contents.
      Parameters:
        `dbSession` - the db session
      Returns:
        the all contents

    - #### addAll

          public void addAll(XBRLqResult<T> newList)

      Adds the all.
      Parameters:
        `newList` - the new list

    - #### retainAll

          public void retainAll(XBRLqResult<T> newList)

      Retain all.
      Parameters:
        `newList` - the new list

    - #### getAllContentIds

          public java.util.ArrayList<java.lang.Long> getAllContentIds()

      Gets the all content ids.
      Returns:
        the all content ids

    - #### clear

          public void clear()

      Clear.